# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
%define _unpackaged_files_terminate_build 1
%define _name anjuta
%define _libname libanjuta

# Need Glade3 for this
%def_enable glade
%def_enable graphviz
%def_disable libgda3

%def_disable debug

Name: anjuta2
Version: 2.4.2
Release: alt0.M41.1

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированная среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: %gpl2plus
Url: http://anjuta.org/

Source: http://downloads.sourceforge.net/%_name/%_name-%version.tar.bz2
Patch3: %_name-2.0.2-fix-compile-with-nls.patch
#Patch4: %_name-2.3.1-alt-fix-anjuta-tags-location.patch

Obsoletes: libanjuta
Conflicts: anjuta <= 1.2.4

# These are taken from configure.in. Comments refer to Anjuta 2.2.0
%define glib_ver 2.8.0
# to backporters: gtksourceview plugin needs at least GNOME 2.14 and GTK+ 2.10.
# Without this plugin, you can build with GNOME 2.12 and GTK+ 2.8
%define gtk_ver 2.10.0
%define orbit_ver 2.6.0
%define libglade_ver 2.3.0
%define gnome_ver 2.14.0
%define gnomecanvas_ver 2.12.0
%define gnomeui_ver 2.12.0
%define gnomeprint_ver 2.12.0
%define gnomevfs_ver 2.14.0
%define gconf_ver 2.12.0
%define vte_ver 0.9.0
%define libxml_ver 2.4.23
%define pango_ver 1.1.1
%define pcre_ver 3.9
# 0.13 preferred, but 0.9 is also acceptable
%define devhelp_ver 0.9
%define gdl_ver 0.7.3
%define gnomebuild_ver 0.2.0
%define libgladeui_ver 3.2.0
%define graphviz_ver 1.0
%define subversion_ver 1.0.2
%define gtksourceview_ver 1.4.0
# This is for Valgrind plugin
%define binutils_ver 2.15.92
%define libwnck_ver 2.12
%define libgda_ver 3.1.3
%define autogen_ver 5.6.5

Requires(post,postun): desktop-file-utils

#Requires: autogen >= %autogen_ver

BuildPreReq: rpm-build-gnome rpm-build-licenses
# We use macros first defined in this version of scrollkeeper
BuildPreReq: scrollkeeper >= 0.3.14-alt4
BuildRequires: gnome-doc-utils
BuildRequires: glib2-devel >= %glib_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: ORBit2-devel >= %orbit_ver
BuildRequires: libglade2-devel >= %libglade_ver
BuildRequires: libgnome-devel >= %gnome_ver
BuildRequires: libgnome-desktop-devel >= %gnomeui_ver
BuildRequires: libgnomecanvas-devel >= %gnomecanvas_ver
BuildRequires: libgnomeui-devel >= %gnomeui_ver
BuildRequires: libgnomeprint2-devel >= %gnomeprint_ver
BuildRequires: libgnomeprintui-devel >= %gnomeprint_ver
BuildRequires: gnome-vfs2-devel >= %gnomevfs_ver
BuildRequires: libGConf-devel >= %gconf_ver
BuildRequires: libvte-devel >= %vte_ver
BuildRequires: libxml2-devel >= %libxml_ver
BuildRequires: pango-devel >= %pango_ver
BuildRequires: libgdl-devel >= %gdl_ver
BuildRequires: libxslt-devel
BuildRequires: autogen >= %autogen_ver
BuildRequires: libdevhelp-devel >= %devhelp_ver
BuildRequires: libgnome-build-devel >= %gnomebuild_ver
%{?_enable_glade:BuildRequires: libgladeui-devel >= %libgladeui_ver}
%{?_enable_graphviz:BuildRequires: graphviz-devel >= %graphviz_ver}
BuildRequires: libgtksourceview-devel >= %gtksourceview_ver
# Attention: I'm not sure the package will have exactly this name
%{?_enable_libgda3:BuildRequires: libgda3-devel >= %libgda_ver}
BuildRequires: libbfd-devel >= %binutils_ver
BuildRequires: libiberty-devel >= %binutils_ver
BuildRequires: intltool >= 0.35
BuildRequires: gtk-doc >= 1.4
BuildRequires: pcre-devel >= %pcre_ver
BuildRequires: libsubversion-devel >= %subversion_ver
# Requires of libaprutil1-devel are broken atm.
BuildRequires: libldap-devel

BuildRequires: gnome-common GConf desktop-file-utils gcc-c++ libSM-devel
# We have some tools written in Perl, and perl-devel is needed to calculate
# dependencies of these tools.
BuildRequires: perl-devel

BuildRequires: rpm-build-compat >= 0.95

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for GNOME Desktop Environment. It features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, a powerful source editor,
syntax highlighting, Intellisense-like autocompletion, symbol navigation,
integration with version control systems and a GUI designer, and other
tools.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Студия разработки "Анюта" -- многофункциональная интегрированная среда
разработки (IDE).  Она написана для среды GNOME и имеет развитые возможности, в
частности: работа с проектами, средства быстрого создания приложений и
отдельных классов, встроенный отладчик на базе GDB, мощный редактор исходного
кода (Scintilla) с подсветкой синтаксиса, автодополнением и навигацией по
проекту, интеграция с системами контроля версий и дизайнером интерфейса Glade.

%package devel
Summary: development files for Anjuta
Group: Development/Other
Requires: %name = %version-%release pkgconfig

%description devel
Libraries, header files and API docs for developing Anjuta plugins.

%description -l ru_RU.UTF-8 devel
Библиотеки, заголовочные файлы и документация для разработки плагинов к "Анюте".

%package cvs
Summary: CVS support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: cvs

%description cvs
CVS support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 cvs
Плагин поддержки системы контроля версий CVS для студии разработки "Анюта".

%package subversion
Summary: Subversion support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: subversion >= %subversion_ver

%description subversion
Subversion support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 subversion
Плагин поддержки системы контроля версий Subversion для студии разработки "Анюта".

%package valgrind
Summary: Valgrind support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description valgrind
Valgrind support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 valgrind
Поиск ошибок управления памятью при помощи Valgrind в студии разработки "Анюта".

%package glade
Summary: Glade support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description glade
Valgrind support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 glade
Поддержка дизайнера интерфейсов Glade в студии разработки "Анюта".

%if_enabled graphviz
%package class-inheritance
Summary: Class inheritance diagram for Anjuta.
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: graphviz >= %graphviz_ver

%description class-inheritance
Class inheritance diagram plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 class-inheritance
Плагин для "Анюты", строящий диаграмму наследования классов.
%endif

%define anjuta_datadir %_datadir/%_name
%define anjuta_libdir %_libdir/%_name

%prep
%setup -q -n %_name-%version
%__subst 's|update-mime-database .*;|	echo;|' mime/Makefile.am
%patch3
#patch4

%build
rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-static \
    --enable-plugin-devhelp \
    %{?_enable_glade:--enable-plugin-glade} \
    %{subst_enable graphviz} \
    --enable-plugin-sourceview \
    --enable-plugin-scintilla \
    %{?_enable_libgda3:--enable-plugin-symbol-db} \
    --enable-plugin-valgrind \
    --enable-plugin-subversion \
    %{subst_enable debug} \
    %{?_disable_debug:--enable-final} \
    %{?_disable_debug:--enable-optimize} \
    --enable-gtk-doc \
    --disable-scrollkeeper \
    --disable-update-mime-database

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

# make a link in %_pixmapsdir (Bug #6995)
pushd %buildroot%_pixmapsdir
ln -sf %_name/%_name.png %name.png
popd

# make a link in %_bindir for backwards compatibility
pushd %buildroot%_bindir
ln -sf %_name %name
popd

%find_lang --with-gnome %_name

%add_findprov_lib_path %anjuta_libdir
# These are not real Python scripts, only templates
%add_findreq_skiplist %anjuta_datadir/project/python/src/*.py

%post
%post_ldconfig
%update_scrollkeeper
%update_mimedb
%update_desktopdb
%update_menus

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_mimedb
%clean_desktopdb
%clean_menus

%post valgrind
%gconf2_install %_name-valgrind

%files -f %_name.lang
%_bindir/*

%dir %anjuta_libdir
%_libdir/%{_libname}*.so.*
%anjuta_libdir/*
%exclude %anjuta_libdir/*cvs*
%exclude %anjuta_libdir/*subversion*
%exclude %anjuta_libdir/*valgrind*
%exclude %anjuta_libdir/*glade*
%if_enabled graphviz
%exclude %anjuta_libdir/*class-inheritance*
%endif

%dir %anjuta_datadir
%anjuta_datadir/welcome.txt
%anjuta_datadir/anjuta_project.template
%anjuta_datadir/layout.xml
%anjuta_datadir/macros.xml
%anjuta_datadir/languages.xml
%anjuta_datadir/class-templates
%anjuta_datadir/build
%dir %anjuta_datadir/profiles
%anjuta_datadir/profiles/*
%dir %anjuta_datadir/gtodo
%anjuta_datadir/gtodo/*
%anjuta_datadir/gdb.init
%dir %anjuta_datadir/scripts
%anjuta_datadir/scripts/create_global_tags.sh

%dir %anjuta_datadir/glade
%anjuta_datadir/glade/*.png
%anjuta_datadir/glade/*.glade
%exclude %anjuta_datadir/glade/*cvs*.glade
%exclude %anjuta_datadir/glade/*subversion*.glade
%exclude %anjuta_datadir/glade/*valgrind*.glade

%dir %anjuta_datadir/properties
%anjuta_datadir/properties/*
%dir %anjuta_datadir/tools
%anjuta_datadir/tools/*
%dir %anjuta_datadir/project
%anjuta_datadir/project/*

%dir %anjuta_datadir/ui
%anjuta_datadir/ui/*.ui
%exclude %anjuta_datadir/ui/*cvs*.ui
%exclude %anjuta_datadir/ui/*subversion*.ui
%exclude %anjuta_datadir/ui/*valgrind*.ui
%exclude %anjuta_datadir/ui/*glade*.ui

%gconf_schemasdir/anjuta.schemas
%gconf_schemasdir/anjuta-cvs-plugin.schemas
%gconf_schemasdir/anjuta-*-autotools-*.schemas
%gconf_schemasdir/anjuta-editor-*.schemas
%gconf_schemasdir/anjuta-document-manager.schemas
%gconf_schemasdir/anjuta-language-*.schemas
%gconf_schemasdir/anjuta-message-manager-plugin.schemas
%gconf_schemasdir/anjuta-symbol-browser-plugin.schemas
%gconf_schemasdir/anjuta-terminal-plugin.schemas

%_liconsdir/anjuta.png
%_iconsdir/hicolor/scalable/apps/anjuta.svg
%_iconsdir/gnome/*/*/*
%_pixmapsdir/%_name/*
%_pixmapsdir/%name.png

%_desktopdir/%_name.desktop
%_datadir/mime/packages/*

%_man1dir/*
%gnomehelpdir/%_name-*
# Strange enough that these are not harvested with find-lang
%_omfdir/%_name-manual/%_name-manual-*.omf
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO FUTURE ROADMAP
%doc doc/ScintillaDoc.html
# We already have this file in a more proper place.
%exclude %anjuta_datadir/AUTHORS

%files devel
%_includedir/*
%_pkgconfigdir/*.pc
%_libdir/%{_libname}*.so
%_datadir/gtk-doc/html/%{_libname}

%files cvs
%anjuta_libdir/*cvs*
%anjuta_datadir/glade/%_name-cvs-plugin.glade
%anjuta_datadir/ui/*cvs*.ui

%files subversion
%anjuta_libdir/*subversion*
%anjuta_datadir/glade/%_name-subversion.glade
%anjuta_datadir/ui/*subversion*.ui

%files valgrind
%anjuta_libdir/*valgrind*
%gconf_schemasdir/%_name-valgrind.schemas
%anjuta_datadir/ui/*valgrind*.ui

%files glade
%anjuta_libdir/*glade*
%anjuta_datadir/ui/*glade*.ui
%_libdir/glade3/modules/libgladeanjuta.so
%_datadir/glade3/catalogs/anjuta-glade.xml
%exclude %_libdir/glade3/modules/*.la

%if_enabled graphviz
%files class-inheritance
%anjuta_libdir/*class-inheritance*
%endif

%exclude %_docdir/%_name

%changelog
* Wed Sep 17 2008 Alexey Rusakov <ktirf@altlinux.org> 2.4.2-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jun 18 2008 Alexey Rusakov <ktirf@altlinux.org> 2.4.2-alt1
- New version (2.4.2).
- Dropped the patch for anjuta-tags location (fixed upstream).
- Added BuildRequires on libldap-devel as a temporary workaround.

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1.qa1
- NMU (by repocop), the following fixes applied:
 * update_menus for anjuta2

* Wed Dec 26 2007 Alexey Rusakov <ktirf@altlinux.org> 2.3.1-alt1
- New version (2.3.1).
- No need in autogen-devel, autogen is enough.
- Use license macro.
- Fix location of anjuta-tags (it goes to /usr/share, being an ELF binary).
- Removed a workaround for PKG_PATH in configure.in.
- Updated the files list.

* Mon Nov 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.3.0-alt1
- New version (2.3.0).
- Added (disabled) switch for libgda-3.0 for symbol DB plugin. There's no
  libgda3 in Sisyphus yet however, and there's no subpackage for this
  plugin either.

* Fri Oct 26 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.2-alt1
- new version (2.2.2)
- updated dependencies

* Sat Sep 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1.1
- Rebuilt with new libgladeui.

* Fri Sep 07 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1
- new version 2.2.1 (with rpmrb script)

* Wed Sep 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.0-alt1.1
- rebuild with new libgnome-build.

* Sun Jul 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.0-alt1
- new version (2.2.0)
- since Anjuta 1.2 and Anjuta 2 can't exist together, the executable's name
  from now on is anjuta, the former anjuta2 is a symlink to anjuta for legacy.
- added a workaround for incorrect usage of PKG_PATH macro in configure.in

* Mon May 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.3-alt2
- fixed typos (ALT Bug #11829)

* Fri May 11 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.3-alt1
- new version (2.1.3)
- updated dependencies
- linking patch from GNOME Bug #424121 went upstream.

* Mon May 07 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.2-alt2
- tell rpm-build that we have library dependencies in %%_libdir/anjuta
  (thanks to ldv@).

* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.2-alt1
- new version (2.1.2)
- updated dependencies
- removed the clumsy workaround that once allowed anjuta 1.2 and anjuta 2 to
  co-exist - it's no more working, and for some time. Anjuta 1.2 stays in the
  repository, however, so the package name stays anjuta2.
- updated the patch that fixes linking, with the one proposed in
  GNOME Bug #424121
- enabled Glade3 plugin and (this time, for real) Valgrind plugin.
- forbid unpackaged files, updated files list.

* Mon Jan 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.2-alt2
- removed many Requires on library packages, let them be generated.
- dropped explicit dependency on libneon[-devel], because now we have several
  libneon-devel packages in Sisyphus, and subversion depends on another version
  than the one mentioned in this specfile. Better let subversion-devel choose
  appropriate libneon-devel.
- spec cleanup, updated buildreqs

* Wed May 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.2-alt1
- new version (2.0.2)
- fixed linking (thanks to damir@ for the patch)
- updated dependencies.
- class-inheritance plugin has been made optional ('graphviz' switch) and
  is disabled (waiting for Graphviz 2.6 to reach Sisyphus).

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt6
- added 'debug' switch.
- fixed crashing on start.

* Mon Apr 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt5
- fixed linking with --as-needed

* Sat Mar 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt4
- Updated buildreqs for X.org 7.0
- Removed Debian menu support
- Spec cleanup
- fixed double inclusion of subversion and class-inheritance plugins.

* Thu Oct 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt3
- Fixed Requires.

* Mon Oct 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt2
- Updated from CVS, fixing Bug #8077.
- Updated requirements from configure.in
- Urlified the source tag to favor etersoft-build-utils.

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt1
- New upstream version.
- Removed excess dependencies from the spec.

* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt3
- Updated from CVS.
- Fixed Bug #6995.

* Sun May 22 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt2
- Sources updated from CVS.
- Several fixes and improvements in the spec (including Bug #6873).

* Fri May 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- The temporary name of the package is anjuta2 (this concerns all binaries
  and directories, but not libanjuta), to let anjuta-1.2 and anjuta-2.0
  coexist.

* Tue Feb 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.2-alt6
- version from cvs (2005-02-22)
- a lot of changes in spec

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
